# Source code for azure.mgmt.keyvault.models.permissions

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class Permissions(Model):
        """Permissions the identity has for keys and secrets.

        :param keys: Permissions to keys
        :type keys: list of str or :class:`KeyPermissions
         <azure.keyvault.models.KeyPermissions>`
        :param secrets: Permissions to secrets
        :type secrets: list of str or :class:`SecretPermissions
         <azure.keyvault.models.SecretPermissions>`
        """

        _attribute_map = {
            'keys': {'key': 'keys', 'type': '[KeyPermissions]'},
            'secrets': {'key': 'secrets', 'type': '[SecretPermissions]'},
        }

        def __init__(self, keys=None, secrets=None):
            self.keys = keys
            self.secrets = secrets